diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 098234f..e4d4007 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -1642,7 +1642,6 @@ a top level command
 \end{chunk}
 
 \defun{parseAndInterpret}{parseAndInterpret}
-\calls{parseAndInterpret}{ncParseAndInterpretString}
 \usesdollar{parseAndInterpret}{InteractiveMode}
 \usesdollar{parseAndInterpret}{boot}
 \usesdollar{parseAndInterpret}{spad}
@@ -1657,17 +1656,7 @@ a top level command
   (setq $boot nil)
   (setq $spad t)
   (setq |$e| |$InteractiveFrame|)
-  (|ncParseAndInterpretString| str)))
-
-\end{chunk}
-
-\defun{ncParseAndInterpretString}{ncParseAndInterpretString}
-\calls{ncParseAndInterpretString}{processInteractive}
-\calls{ncParseAndInterpretString}{parseFromString}
-\begin{chunk}{defun ncParseAndInterpretString}
-(defun |ncParseAndInterpretString| (s)
-  (|processInteractive| (|parseFromString| s))
-  nil)
+  (|processInteractive| (|parseFromString| str))))
 
 \end{chunk}
 
@@ -2394,8 +2383,6 @@ sameUnionBranch(uArg, m) ==
 \begin{verbatim}
 phParse: carrier[tokens,...] -> carrier[ptree, tokens,...]
 \end{verbatim}
-\calls{phParse}{intSayKeyedMsg}
-\calls{phParse}{pform}
 \calls{phParse}{ncPutQ}
 \begin{chunk}{defun phParse}
 (defun |phParse| (carrier ptree)
@@ -2404,14 +2391,6 @@ phParse: carrier[tokens,...] -> carrier[ptree, tokens,...]
 
 \end{chunk}
 
-\defun{intSayKeyedMsg}{intSayKeyedMsg}
-\calls{intSayKeyedMsg}{sayKeyedMsg}
-\begin{chunk}{defun intSayKeyedMsg}
-(defun |intSayKeyedMsg| (key args)
-  (|sayKeyedMsg| key args))
-
-\end{chunk}
-
 \defun{phIntReportMsgs}{phIntReportMsgs}
 \begin{verbatim}
 carrier[lines,messages,..]-> carrier[lines,messages,..]
@@ -2419,7 +2398,6 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
 \calls{phIntReportMsgs}{ncEltQ}
 \calls{phIntReportMsgs}{ncPutQ}
 \calls{phIntReportMsgs}{processMsgList}
-\calls{phIntReportMsgs}{intSayKeyedMsg}
 \usesdollar{phIntReportMsgs}{erMsgToss}
 \begin{chunk}{defun phIntReportMsgs}
 (defun |phIntReportMsgs| (carrier interactive?)
@@ -2437,7 +2415,7 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
       ((eql nerr 0) 'ok)
       (t
        (|processMsgList| msgs lines)
-       (|intSayKeyedMsg| 'S2CTP010 (list nerr))
+       (|sayKeyedMsg| 'S2CTP010 (list nerr))
        'ok))))))
 
 \end{chunk}
@@ -8205,7 +8183,6 @@ carrier[ptree,...] -> carrier[ptree, ptreePremacro,...]
 \calls{phMacro}{ncEltQ}
 \calls{phMacro}{ncPutQ}
 \calls{phMacro}{macroExpanded}
-\calls{phMacro}{intSayKeyedMsg}
 \calls{phMacro}{pform}
 \begin{chunk}{defun phMacro}
 (defun |phMacro| (carrier)
@@ -40974,7 +40951,6 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun intloopSpadProcess}
 \getchunk{defun intloopSpadProcess,interp}
 \getchunk{defun intProcessSynonyms}
-\getchunk{defun intSayKeyedMsg}
 \getchunk{defun ioclear}
 \getchunk{defun iostat}
 \getchunk{defun isDomainOrPackage}
@@ -41082,7 +41058,6 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun ncloopInclude0}
 \getchunk{defun ncloopInclude1}
 \getchunk{defun ncloopParse}
-\getchunk{defun ncParseAndInterpretString}
 \getchunk{defun ncParseFromString}
 \getchunk{defun ncPutQ}
 \getchunk{defun ncSoftError}
diff --git a/changelog b/changelog
index 89ed54d..28ca1cb 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20110923 tpd src/axiom-website/patches.html 20110923.04.tpd.patch
+20110923 tpd books/bookvol5 remove ncParseAndInterpretString
 20110923 tpd src/axiom-website/patches.html 20110923.03.tpd.patch
 20110923 tpd src/interp/parsing.lisp remove nci.lisp
 20110923 tpd src/interp/nci.lisp removed
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 187ff86..cd2b6c1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3628,5 +3628,7 @@ src/interp/vmlisp.lisp, bookvol5, bookvol9 use qc(ad)r forms</a>
 books/bookvol5 remove packageTran<br/>
 <a href="patches/20110923.03.tpd.patch">20110923.03.tpd.patch</a>
 src/interp/Makefile remove nci.lisp<br/>
+<a href="patches/20110923.04.tpd.patch">20110923.04.tpd.patch</a>
+books/bookvol5 remove ncParseAndInterpretString<br/>
  </body>
 </html>
